% Skript abb2punkt10 zur Darstellung der Grafik 2.10
%
% Aufruf:  abb2punkt10
%
% Autor: Prof. Dr. Ottmar Beucher
%        FH Karlsruhe
% Version: 1.01
% Datum: 24.8.2004

% Rder fr das Darstellungsgebiet definieren

x1 = (-1:0.1:2);
x2 = (-1:0.1:2);

% Grid fr die 3D-Darstellung bestimmen

[X1,X2] = meshgrid(x1,x2);

% Funktionswerte der Dichte der 2-dim. Gleich-
% verteilung auf [0,1]x[0,1]

f = (X1>=0 & X1<=1).*(X2>=0 & X2<=1);

% Funktionswerte der Verteilungsfunktion der 2-dim. 
% Gleichverteilung auf [0,1]x[0,1]

F = (X1<0 & X2<0).*0 +...
    (X1>=0 & X1<=1).*(X2>=0 & X2<=1).*X1.*X2 + ...
    (X1>=0 & X1<=1).*(X2>1).*X1 + ...
    (X2>=0 & X2<=1).*(X1>1).*X2 + ...
    (X1>1).*(X2>1).*1;

% Grafische Darstellung mit zwei Plots

figure
surf(x1,x2,f);
xlabel('Werte von x_1')
ylabel('Werte von x_2')
view(-45,70)

figure
surf(x1,x2,F);
xlabel('Werte von x_1')
ylabel('Werte von x_2')
view(-45,70)