% Skript-File BspAnova2Kmlauf.m
%
% Aufruf:  BspAnova2Kmlauf
%
% Beispiel fr eine zweifaktorielle Varianzanalyse mit Wechselwirkungen
%
% Kilometerlaufleistung von drei Wagentypen, welche an drei verschiedenen
% Produktionssttten gefertigt wurden. Fr jede Kombination (Wagentyp/Produktionsort)
% wurden die Laufleistungen dreier Wagen festgehalten.
%
% Die Kilometerleistung ist in Einheiten zu 1000 angegeben.
%
% Autor: Prof. Dr. Ottmar Beucher
%        FH Karlsruhe
% Version: 1.01
% Datum: 20.8.2003


%         Typ 1     Typ 2     Typ 3               % Wagentyp

laufl = [  260       265       240; ...           % Produktionssttte 1
           265       260       246; ...
           261       266       248; ...    
           266       255       261; ...           % Produktionssttte 2
           265       250       266; ...
           261       259       259; ...    
           251       265       230; ...           % Produktionssttte 3
           265       263       236; ...
           267       276       238];
   
% Durchfhrung einer Varianzanalyse mit der Funktion anova2
% Aufruf der Funktion

wFaktor = 3;                                      % Wiederholungsfaktor
                                                  % (Zahl der Wagen pro Faktorkombination)

[pWert, AnovTab, TestStatistik] = anova2B(laufl, wFaktor)